Page MenuHomePhabricator

Get QuickSurveys enabled on beta cluster
Closed, ResolvedPublic1 Story Points

Description

Get the QuickSurveys extension deployed and enabled to the beta cluster so that we can start testing it out and showing it to stakeholders.

  • Merge dev branch into master
  • Update version number
  • Generate changelog
  • Get deployed on beta cluster with example survey "Should the bikeshed be red? Yes/No"

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added subscribers: Luke081515, Aklapper. · View Herald TranscriptAug 25 2015, 4:34 PM

Do we have a survey that we want to run? Should we enable the example surveys?

Moved to next sprint since this is over and it is unplanned work for sprint 54. Added project, blocked tasks and priority.

Jdlrobson edited a custom field.Sep 2 2015, 4:38 PM
Jdlrobson moved this task from Needs Analysis to To Do on the Reading-Web-Sprint-55-π board.

This bug is high priority since the quicker we get this deployed the better feedback we'll get. We need to deliver this in 2 weeks so let's set ourselves up for success!

Jdlrobson updated the task description. (Show Details)
phuedx added a subscriber: phuedx.Sep 8 2015, 7:08 PM

The QuickSurveys dev branch is now deployed to our staging environment and here's the proof: http://reading-web-staging.wmflabs.org/wiki/Special:Version#mw-version-ext-QuickSurveys.

Change 236979 had a related patch set uploaded (by Robmoen):
Enable QuickSurveys by default on labs with example survey

https://gerrit.wikimedia.org/r/236979

Change 236979 merged by jenkins-bot:
Enable QuickSurveys by default on labs with example survey

https://gerrit.wikimedia.org/r/236979

Jdlrobson closed this task as Resolved.Sep 9 2015, 12:33 AM
Jdlrobson moved this task from Ready for Signoff to Done on the Reading-Web-Sprint-55-π board.

@Jdlrobson, my feedback:

It seems like the survey box should be aligned to the left for LTR and right for RTL

Also, would it be possible to put it before the table of contents instead of after it for desktop and tablet form factor? (with ample vertical whitespace between the elements)

The positioning is as advised from Kaity and to spec. We will evaluate it during design review. Positioning is complicated as we do not have control over the content and table of contents positioning can vary by page.

Please do raise a bug for any RTL issues though.